cURL
curl --request POST "https://rxresu.me/api/openapi/career/offers" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"currency": "<string>",
"period": "hour",
"base": 123,
"variable": 123,
"applicationId": "<string>"
}'import requests
url = "https://rxresu.me/api/openapi/career/offers"
payload = {
"currency": "<string>",
"base": 1,
"variable": 1,
"applicationId": "<string>",
"version": "written",
"variablePercent": 1,
"variableConditions": "",
"equity": "",
"location": "",
"officeDays": 2,
"leave": "",
"learning": 1,
"other": "",
"respondBy": "2023-11-07T05:31:56Z",
"startDate": "2023-12-25"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: '<string>',
base: 1,
variable: 1,
applicationId: '<string>',
version: 'written',
variablePercent: 1,
variableConditions: '',
equity: '',
location: '',
officeDays: 2,
leave: '',
learning: 1,
other: '',
respondBy: '2023-11-07T05:31:56Z',
startDate: '2023-12-25'
})
};
fetch('https://rxresu.me/api/openapi/career/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/career/offers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'currency' => '<string>',
'base' => 1,
'variable' => 1,
'applicationId' => '<string>',
'version' => 'written',
'variablePercent' => 1,
'variableConditions' => '',
'equity' => '',
'location' => '',
'officeDays' => 2,
'leave' => '',
'learning' => 1,
'other' => '',
'respondBy' => '2023-11-07T05:31:56Z',
'startDate' => '2023-12-25'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/career/offers"
payload := strings.NewReader("{\n \"currency\": \"<string>\",\n \"base\": 1,\n \"variable\": 1,\n \"applicationId\": \"<string>\",\n \"version\": \"written\",\n \"variablePercent\": 1,\n \"variableConditions\": \"\",\n \"equity\": \"\",\n \"location\": \"\",\n \"officeDays\": 2,\n \"leave\": \"\",\n \"learning\": 1,\n \"other\": \"\",\n \"respondBy\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-12-25\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/career/offers")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"<string>\",\n \"base\": 1,\n \"variable\": 1,\n \"applicationId\": \"<string>\",\n \"version\": \"written\",\n \"variablePercent\": 1,\n \"variableConditions\": \"\",\n \"equity\": \"\",\n \"location\": \"\",\n \"officeDays\": 2,\n \"leave\": \"\",\n \"learning\": 1,\n \"other\": \"\",\n \"respondBy\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-12-25\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/career/offers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"currency\": \"<string>\",\n \"base\": 1,\n \"variable\": 1,\n \"applicationId\": \"<string>\",\n \"version\": \"written\",\n \"variablePercent\": 1,\n \"variableConditions\": \"\",\n \"equity\": \"\",\n \"location\": \"\",\n \"officeDays\": 2,\n \"leave\": \"\",\n \"learning\": 1,\n \"other\": \"\",\n \"respondBy\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-12-25\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"interviewId": "<string>",
"title": "<string>",
"data": {
"kind": "fit",
"headline": "<string>",
"summary": "<string>",
"requirements": [
{
"text": "<string>",
"origin": "posting",
"status": "supported",
"evidence": "<string>",
"factIds": []
}
],
"checks": [
{
"label": "<string>",
"met": true,
"text": "<string>"
}
],
"ask": {
"person": "<string>",
"text": "<string>"
}
},
"evidence": {
"factIds": [
"<string>"
],
"storyIds": [
"<string>"
]
},
"jobId": "<string>",
"inputVersion": "<string>",
"aiOperationId": "<string>",
"aiUsage": {
"requests": 4503599627370495,
"models": [
{
"providerId": "<string>",
"label": "<string>",
"provider": "<string>",
"model": "<string>"
}
]
}
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Career
Save manually entered offer terms
POST
/
career
/
offers
cURL
curl --request POST "https://rxresu.me/api/openapi/career/offers" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"currency": "<string>",
"period": "hour",
"base": 123,
"variable": 123,
"applicationId": "<string>"
}'import requests
url = "https://rxresu.me/api/openapi/career/offers"
payload = {
"currency": "<string>",
"base": 1,
"variable": 1,
"applicationId": "<string>",
"version": "written",
"variablePercent": 1,
"variableConditions": "",
"equity": "",
"location": "",
"officeDays": 2,
"leave": "",
"learning": 1,
"other": "",
"respondBy": "2023-11-07T05:31:56Z",
"startDate": "2023-12-25"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: '<string>',
base: 1,
variable: 1,
applicationId: '<string>',
version: 'written',
variablePercent: 1,
variableConditions: '',
equity: '',
location: '',
officeDays: 2,
leave: '',
learning: 1,
other: '',
respondBy: '2023-11-07T05:31:56Z',
startDate: '2023-12-25'
})
};
fetch('https://rxresu.me/api/openapi/career/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/career/offers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'currency' => '<string>',
'base' => 1,
'variable' => 1,
'applicationId' => '<string>',
'version' => 'written',
'variablePercent' => 1,
'variableConditions' => '',
'equity' => '',
'location' => '',
'officeDays' => 2,
'leave' => '',
'learning' => 1,
'other' => '',
'respondBy' => '2023-11-07T05:31:56Z',
'startDate' => '2023-12-25'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/career/offers"
payload := strings.NewReader("{\n \"currency\": \"<string>\",\n \"base\": 1,\n \"variable\": 1,\n \"applicationId\": \"<string>\",\n \"version\": \"written\",\n \"variablePercent\": 1,\n \"variableConditions\": \"\",\n \"equity\": \"\",\n \"location\": \"\",\n \"officeDays\": 2,\n \"leave\": \"\",\n \"learning\": 1,\n \"other\": \"\",\n \"respondBy\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-12-25\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/career/offers")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"<string>\",\n \"base\": 1,\n \"variable\": 1,\n \"applicationId\": \"<string>\",\n \"version\": \"written\",\n \"variablePercent\": 1,\n \"variableConditions\": \"\",\n \"equity\": \"\",\n \"location\": \"\",\n \"officeDays\": 2,\n \"leave\": \"\",\n \"learning\": 1,\n \"other\": \"\",\n \"respondBy\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-12-25\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/career/offers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"currency\": \"<string>\",\n \"base\": 1,\n \"variable\": 1,\n \"applicationId\": \"<string>\",\n \"version\": \"written\",\n \"variablePercent\": 1,\n \"variableConditions\": \"\",\n \"equity\": \"\",\n \"location\": \"\",\n \"officeDays\": 2,\n \"leave\": \"\",\n \"learning\": 1,\n \"other\": \"\",\n \"respondBy\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-12-25\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"interviewId": "<string>",
"title": "<string>",
"data": {
"kind": "fit",
"headline": "<string>",
"summary": "<string>",
"requirements": [
{
"text": "<string>",
"origin": "posting",
"status": "supported",
"evidence": "<string>",
"factIds": []
}
],
"checks": [
{
"label": "<string>",
"met": true,
"text": "<string>"
}
],
"ask": {
"person": "<string>",
"text": "<string>"
}
},
"evidence": {
"factIds": [
"<string>"
],
"storyIds": [
"<string>"
]
},
"jobId": "<string>",
"inputVersion": "<string>",
"aiOperationId": "<string>",
"aiUsage": {
"requests": 4503599627370495,
"models": [
{
"providerId": "<string>",
"label": "<string>",
"provider": "<string>",
"model": "<string>"
}
]
}
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
apiKeybearerAuthcookieAuth
Body
application/json
Response
object | null
OK